# build.php File Reference

Go to the source code of this file.

## Functions

| help ()
| init ()
| stop ($message=null)

## Variables

| $pathConfig = $pathMeta = null
| $metaForce
| $args = $_SERVER['argv']
if($args) | $metaRoot

## Function Documentation

help | ( |  | ) |

Definition at line 4 of file build.php.

Referenced by stop().

init | ( |  | ) |

Definition at line 42 of file build.php.

stop | ( | $ | message = `null` | ) |

Definition at line 117 of file build.php.

References help().

Here is the call graph for this function:

## Variable Documentation

$args = $_SERVER['argv']

Definition at line 135 of file build.php.

Referenced by CallChain::__call(), QueryChain::block(), LogicalChain::block(), Expression::block(), CallChain::call(), CombineQuery::exceptAllBlock(), CombineQuery::exceptBlock(), Singleton::getInstance(), CombineQuery::intersectAllBlock(), CombineQuery::intersectBlock(), SelectQuery::multiGet(), CombineQuery::unionAllBlock(), and CombineQuery::unionBlock().

$metaForce

Initial value:

     $metaOnlyContainers = $metaNoSchema =
        $metaNoSchemaCheck = $metaDropStaleFiles =
        $metaNoIntegrityCheck = $metaDryRun =
        $metaCheckEnumerationRefIntegrity = $metaNoColor = false

Definition at line 130 of file build.php.

if ($args) $metaRoot

Initial value:

            dirname(dirname($_SERVER['argv'][0]))
            .DIRECTORY_SEPARATOR
            .'classes'
            .DIRECTORY_SEPARATOR

Definition at line 201 of file build.php.

$pathConfig = $pathMeta = null

Definition at line 127 of file build.php.